incubator-cloudstack-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From edi...@apache.org
Subject [9/20] git commit: docs: Add build script
Date Mon, 24 Sep 2012 17:29:54 GMT
docs: Add build script

There is currently no script to build the docs with, this is an easy script
to build them.

An example how I use it:
$ cd ~wido/repos/cloudstack
$ tools/build/build_docs.sh -s $(echo ~wido/repos/cloudstack)


Project: http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/commit/4ab686f6
Tree: http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/tree/4ab686f6
Diff: http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/diff/4ab686f6

Branch: refs/heads/4.0
Commit: 4ab686f656af5273616778f5e95f03fc26dd86cc
Parents: 9e8000f
Author: Wido den Hollander <wido@widodh.nl>
Authored: Mon Sep 24 14:40:00 2012 +0200
Committer: Edison Su <sudison@gmail.com>
Committed: Mon Sep 24 10:23:25 2012 -0700

----------------------------------------------------------------------
 tools/build/build_docs.sh |   39 +++++++++++++++++++++++++++++++++++++++
 1 files changed, 39 insertions(+), 0 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/blob/4ab686f6/tools/build/build_docs.sh
----------------------------------------------------------------------
diff --git a/tools/build/build_docs.sh b/tools/build/build_docs.sh
new file mode 100755
index 0000000..de57ff0
--- /dev/null
+++ b/tools/build/build_docs.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+sourcedir=~/incubator-cloudstack/
+common_content_dir=/usr/share/publican/Common_Content
+publican_path=/usr/bin/publican
+
+usage(){
+    echo "usage: $0 [-s source dir] [-c publican common content] [-p path to publican]"
+    echo "  -s sets the source directory (defaults to $sourcedir)"
+    echo "  -c sets the public common content directory (defaults to $common_content_dir)"
+    echo "  -p sets the path to the publican binary (defaults to $publican_path)"
+    echo "  -h"
+}
+
+while getopts v:s:c:p:h opt
+do
+    case "$opt" in
+      v)  version="$OPTARG";;
+      s)  sourcedir="$OPTARG";;
+      c)  common_content_dir="$OPTARG";;
+      p)  publican_path="$OPTARG";;
+      h)  usage
+          exit 0;;
+      \?)
+          usage
+          exit 1;;
+    esac
+done
+
+if [ ! -x "$publican_path" ]; then
+    echo "$publican_path doesn't seem like an executeable?"
+    exit 1
+fi
+
+cd $sourcedir/docs
+cp -R /usr/share/publican/Common_Content .
+ln -s $sourcedir/docs/publican-cloudstack Common_Content/cloudstack
+publican build --config=publican-all.cfg --formats html,pdf --langs en-US --common_content=$sourcedir/docs/Common_Content
+rm -r Common_Content
\ No newline at end of file


Mime
View raw message